Filewatcher File Search File Search
Catalog
Content Search
» » » » » gir1.2-indicate-0.7_0.6.92-1_ia64.deb » Content »
pkg://gir1.2-indicate-0.7_0.6.92-1_ia64.deb:38300/usr/share/doc/gir1.2-indicate-0.7/  info  control  downloads

gir1.2-indicate-0.7 - Typelib file for libindicate5…  more info»

changelog.Debian.gz

libindicate (0.6.92-1) unstable; urgency=low

  * Import new upstream release from Ubuntu.
  * Disable tests, we do not have dbus test runner in Debian.
  * Standards-Version: 3.9.3

 -- Evgeni Golov <evgeni@debian.org>  Sun, 20 May 2012 16:56:19 +0200

libindicate (0.6.92-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix memory leaks (LP: #957970)
    * Clean up goto's (LP: #957611)
  * debian/control: Updating to valac-0.16

 -- Ted Gould <ted@ubuntu.com>  Wed, 21 Mar 2012 16:20:53 -0500

libindicate (0.6.91-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Build fix (LP: #931759)

 -- Ted Gould <ted@ubuntu.com>  Fri, 09 Mar 2012 16:16:50 -0600

libindicate (0.6.90-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Adding in a code coverage targe
    * Changing API version to 0.7
    * Add ability to set an icon them for the server
    * Fix memleak on property failures
    * Tracking the path as well for multiple server usecases
    * Configure flag to disable tests
    * Putting the GTK3 include files in a different directory
  * debian/control, debian/*install: Adjusting API version to 0.7
  * debian/control, debian/rules: Adding a check to the list of
    commands to run and dbus-test-runner as a build-dep
  * debian/libindicate-gtk*-dev.install: Updating libindicate
    GTK include paths to get correct files

 -- Ted Gould <ted@ubuntu.com>  Fri, 10 Feb 2012 12:23:45 -0500

libindicate (0.6.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 19 Feb 2012 10:59:04 +0100

libindicate (0.6.1-1ubuntu1) precise; urgency=low

  * debian/control
    - set ubuntu-desktop VCS and maintainer
    - make gir1.2-indicate-0.6 depend on libindicate5 >= ${binary:Version}
      to better handle transitions

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 10 Feb 2012 12:10:09 -0500

libindicate (0.6.1-1) experimental; urgency=low

  * Merge from Ubuntu.
  * Don't link with libpython2.x
    + 05_dont_pkg_check_python.patch: don't try to find python-X.pc,
      it's not available.
    + B-D on python-all-dev (>= 2.6.6-3~)
    + Closes: #638882
  * Drop 04_make_mono_optional.patch, applied upstream.
  * Re-enable GKT3 packages.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 15 Oct 2011 15:03:22 +0200

libindicate (0.6.1-0ubuntu1) oneiric; urgency=low

  [ Ted Gould ]
  * New upstream release.
    ∘ Memory leak fixes (LP: #690668)
    ∘ Build fixes (LP: #643922, LP: #594992, LP: #643921, LP: #643917,
      LP: #643911, LP: #431311, LP: #683552, LP: #643913, LP: #643912,
      LP: #552537)
  * Dropping debian/patches/lp_690668.patch as it was merged upstream.

  [ Ken VanDine ]
  * debian/control
    - build dep on valac-0.14

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 20 Sep 2011 09:16:19 -0700

libindicate (0.5.91-0ubuntu3) oneiric; urgency=low

  * debian/rules: apply patches again (LP: #834602, #835760)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 28 Aug 2011 17:49:37 +0200

libindicate (0.5.91-0ubuntu2) oneiric; urgency=low

  * debian/rules: Call dh_cli* helpers so we get correct dependencies and
    generate clilibs. (LP: #832222)

 -- Iain Lane <laney@debian.org>  Thu, 25 Aug 2011 11:58:58 +0200

libindicate (0.5.91-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    * Adding functions to get the indicators and servers on a
      listener.

 -- Ted Gould <ted@ubuntu.com>  Thu, 18 Aug 2011 10:50:31 -0500

libindicate (0.5.90-0ubuntu1) oneiric; urgency=low

  [ Ted Gould ]
  * New upstream release.
    * Fix VAPI and GIR files
    * Change Libindicate-GTK namespace for better GIR files
    * Include C files in GIR scanning
  * Dropped debian/patches/02_gir_vapi_fixes.patch and 03_introspection.patch
    as they've been merged upstream.

  [ Ken VanDine ]
  * debian/rules
    - simplified to use cdbs for dual builds
  * debian/control, debian/*.install
    - Added binaries for gtk3 builds
  * debian/control
    - Added build depends for libgtk-3-dev
    - make libindicate-doc arch all
  * libindicate-gtk/indicate-gtk-0.6.pc.in
  * libindicate-gtk/indicate-gtk3-0.6.pc.in
  * libindicate/indicate-0.6.pc.in
    - Fixed paths

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 10 Aug 2011 21:46:13 -0400

libindicate (0.5.0-4) unstable; urgency=low

  * Sourcefull rebuild for the Mono transition.
    Closes: #657258

 -- Evgeni Golov <evgeni@debian.org>  Wed, 25 Jan 2012 12:11:05 +0100

libindicate (0.5.0-3) unstable; urgency=low

  * Drop libmono-dev B-D, it's not needed.
    Closes: #627298

 -- Evgeni Golov <evgeni@debian.org>  Tue, 07 Jun 2011 18:21:52 +0200

libindicate (0.5.0-2) unstable; urgency=low

  * Also build on non-mono arches (mips, mipsel, hurd-i386 atm).
    + Add 04_make_mono_optional.patch so build suceeds if no mono is
      available.
    + Move mono-deps to B-D-Indep.
    + Inlcude simple-patchsys.mk before autoreconf.mk 

 -- Evgeni Golov <evgeni@debian.org>  Wed, 04 May 2011 12:03:51 +0200

libindicate (0.5.0-1) unstable; urgency=low

  * Merge new upstream from Ubuntu.
  * Do not build-depend on gir-repository-dev, libgtk2.0-dev 
    has Gtk-2.0.gir since 2.24.4-1 (bump B-D accordingly).
  * Standards-Version: 3.9.2
  * Disable 02_gir_vapi_fixes.patch for now.
  * Reorder autoreconf.mk and debhelper.mk, so dh_clean is run last.
    See #596099

 -- Evgeni Golov <evgeni@debian.org>  Wed, 27 Apr 2011 15:43:30 +0200

libindicate (0.5.0-0ubuntu4) oneiric; urgency=low

  * debian/control
    - Ensure we rebuild against dbusmenu >= 0.4.90 

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 24 Jun 2011 15:31:39 -0400

libindicate (0.5.0-0ubuntu3) oneiric; urgency=low

  * Call dh_python2 from binary-fixup rather than binary-predeb, so that
    generated maintainer script snippets actually end up in the package.
  * Remove unused libmono-dev build-dependency (for Mono 2.10 transition).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Jun 2011 18:17:46 +0100

libindicate (0.5.0-0ubuntu2) natty; urgency=low

  * debian/control
    - Dropped gir1.2-indicate-gtk-0.5, having it installed completely breaks 
      gir1.2-indicate-0.5
    - Added Replaces/Breaks to gir1.2-indicate-0.5 for gir1.2-indicate-gtk-0.5
  * debian/patches/02_gir_vapi_fixes.patch
    - Added overrides to get the right cheader_filename in the vapi

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 18 Apr 2011 10:28:29 -0400

libindicate (0.5.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Fix dbus error codes (LP: #736240)

 -- Ted Gould <ted@ubuntu.com>  Thu, 31 Mar 2011 14:10:57 -0500

libindicate (0.4.93-1) unstable; urgency=low

  * Merge new upstream from Ubuntu.
  * Use valac-0.10 as that is what we have in unstable and upstream says
    it's fine too.
  * Building with gir1.2 now, so closes: #614456.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 28 Mar 2011 17:43:40 +0200

libindicate (0.4.93-0ubuntu2) natty; urgency=low

  * debian/patches/lp_690668.patch
    - Memory leak fixes (LP: #690668)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 24 Feb 2011 12:42:32 -0500

libindicate (0.4.93-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Fix build to dbusmenu 0.3.97
  * debian/control: Updating dbusmenu required versions

 -- Ted Gould <ted@ubuntu.com>  Fri, 11 Feb 2011 12:51:39 -0600

libindicate (0.4.92-0ubuntu2) natty; urgency=low

  * debian/rules
    - explicitly call dh_makeshlibs for libindicate5 and libindicate-gtk2, 
      fixes FTBFS

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 04 Feb 2011 17:03:59 -0500

libindicate (0.4.92-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Switch to standard dbus property processing (LP: #706408) (LP: #711987)
    * Watch the DBus signals for name owner changes
    * Protect the tuple builder to avoid segfaults

 -- Ted Gould <ted@ubuntu.com>  Thu, 03 Feb 2011 13:46:50 -0600

libindicate (0.4.91-0ubuntu2) natty; urgency=low

  * libindicate/indicator.c
    - Checking for NULL before ref'ing

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 14 Jan 2011 15:32:34 -0600

libindicate (0.4.91-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Updated the .installs for the versioning and soname updates.
  * Clean the patches which are in the new version
  * debian/control:
    - updated the build-depends for the new version
  * debian/rules:
    - updated for the new binary names

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 14 Jan 2011 10:27:39 -0600

libindicate (0.4.4-0ubuntu9) natty; urgency=low

  * debian/02_gir_fixes.patch:
    - Update to specify correct c include header and package.
      Fixes FTBFS for other packages (LP: #693119).

 -- Michael Terry <mterry@ubuntu.com>  Tue, 21 Dec 2010 14:14:24 -0500

libindicate (0.4.4-0ubuntu8) natty; urgency=low

  * Updated for the gir abi transition
  * debian/rules
    - Added dh_girepository to generate depends
  * debian/control
    - Use gir:Depends instead of hard coding depends

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 16 Dec 2010 10:06:04 -0500

libindicate (0.4.4-0ubuntu7) natty; urgency=low

  * debian/control: Fix Vcs-Bzr: to point to correct branch.
  * Add 04_python_linking.patch: Don't hardcode linking with Python 2.6, get
    the libraries dynamically instead. (LP: #690555)
  * debian/control: Drop support for Python 2.6, so that we don't pull in the
    entire python2.6 package just because of this.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Dec 2010 12:47:08 +0100

libindicate (0.4.4-0ubuntu6) natty; urgency=low

  * debian/patches/03_annotations.patch
    - Added missing annontations for indicate_server_ref_default

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 13 Dec 2010 15:48:34 -0500

libindicate (0.4.4-0ubuntu5) natty; urgency=low

  * debian/patches/02_gir_fixes.patch
    - Fixes FTBFS (LP: #684949)
  * debian/rules
    - Added dh_autoreconf 
    - Convert to dh_python2
  * debian/control
    - Added build depends for dh-autoreconf
    - Bumped build depends for dbusmenu to 0.3.90
    - Changed valac build depends to valac-0.12, it is needed and we can't
      rely on alternatives
    - Dropped build depends for python-support

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 09 Dec 2010 18:05:32 -0500

libindicate (0.4.4-0ubuntu4) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 13:07:26 +0000

libindicate (0.4.4-0ubuntu3) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:03:22 +0000

libindicate (0.4.4-0ubuntu2) maverick; urgency=low

  * Upstream Merge
    * Updating dist build to generate AUTHORS and ChangeLog
    * Expanding typedef'd callbacks for Vala 0.10 FTBFS (LP: #649083)

 -- Ted Gould <ted@ubuntu.com>  Mon, 27 Sep 2010 10:41:17 -0500

libindicate (0.4.4-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Fixing the AssemblyVersion to be fixed (LP: #636253)
    * Adjusting CLI pkgconfig directories
  * debian/rules: Adding the simple patch system
  * debian/patches/01_cli_directory.patch: Make the pkgconfig files match
    the directories with debian policy

 -- Ted Gould <ted@ubuntu.com>  Wed, 15 Sep 2010 11:35:57 -0500

libindicate (0.4.2-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Unref'ing the proxy on server object dispose. (LP: #618944)
  * Merge from Debian
  * debian/control: Switching packaging branches to be the
    upstream ones for this branch.

 -- Ted Gould <ted@ubuntu.com>  Thu, 09 Sep 2010 12:19:03 -0500

libindicate (0.4.1-2) unstable; urgency=low

  * Fix package name in debian/rules and use the correct SONAME in the
    dllmap for indicate-sharp.dll and indicate-gtk-sharp.dll
    Closes: #595318
    Thanks: Andrew Mitchell
  * Standards-Version: 3.9.1

 -- Evgeni Golov <evgeni@debian.org>  Fri, 10 Sep 2010 09:43:36 +0200

libindicate (0.4.1-1) unstable; urgency=low

  * Merge from Ubuntu.
    Closes: #560122
  * debian/control:
    - Set Maintainer to pkg-ayatana.
    - Add myself as Uploader.
    - Update Vcs-* fields.
    - Standards-Version: 3.8.4
    - Update package descriptions.
    - -doc package is Arch:all
    - -doc package does not need to depend on the lib.
  * debian/copyright:
    - Convert to DEP5 format.
    - Add Ken and Sebastien, according to changelog.
    - Add bindings/ and examples/ copyrights.
  * debian/{control,rules}:
    - Force python2.6.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 20 Jun 2010 14:01:00 +0200

libindicate (0.4.1-0ubuntu4) maverick; urgency=low

  * Fix package name in debian/rules and use the correct SONAME in the 
    dllmap for indicate-sharp.dll and indicate-gtk-sharp.dll (LP: #632746)

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Wed, 08 Sep 2010 23:09:07 +1200

libindicate (0.4.1-0ubuntu3) maverick; urgency=low

  * Backport the commit fixing rhythmbox crashing on exit (lp: #618944)
  * debian/control: don't build-depends on gir-repository-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Sep 2010 11:51:50 +0200

libindicate (0.4.1-0ubuntu2) maverick; urgency=low

  * Rebuild for the new gobject introspection

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 21:58:50 +0200

libindicate (0.4.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * added mono and python bindings for libindicate and 
      libindicate-gtk (LP: #581625)
    * Building VAPI files as well
  * debian/control: Adding dependency on valac
  * debian/libindicate-dev.install, debian/libindicate-gtk-dev.install:
    Adding in VAPI files to the packages.
    * Fixing annotations for updated GIR scanner

  [ Ken VanDine ]
  * debian/control
    - added libindicate0.1-cil, libindicate0.1-cil-dev, 
      libindicate-gtk0.1-cil, libindicate-gtk0.1-cil-dev,
      and python-indicate
    - bumpd build-dep versions for gir1.0-dbusmenu-glib-0.2 and
      libdbusmenu-glib-dev to 0.3.1
    - use pysupport
  * debian/rules
    - Added mono and python
    - use pysupport

 -- Ted Gould <ted@ubuntu.com>  Fri, 04 Jun 2010 14:46:37 -0500

libindicate (0.3.6-0ubuntu1) lucid; urgency=low

  * Upstream release 0.3.6
    * Build system fixes for generating GIR files.

 -- Ted Gould <ted@ubuntu.com>  Thu, 11 Mar 2010 16:27:24 -0600

libindicate (0.3.6-0ubuntu1~ppa1) lucid; urgency=low

  * Upstream release 0.3.6
    * Build system fixes for generating GIR files.

 -- Ted Gould <ted@ubuntu.com>  Thu, 11 Mar 2010 16:27:24 -0600

libindicate (0.3.5-0ubuntu4) lucid; urgency=low

  * Use the upstream change again it's required

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Mar 2010 00:46:19 +0100

libindicate (0.3.5-0ubuntu3) lucid; urgency=low

  * debian/control:
    - build-depends on gir-repository-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Mar 2010 21:00:27 +0100

libindicate (0.3.5-0ubuntu2) lucid; urgency=low

  * Upstream change to fix gir build issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Mar 2010 19:52:05 +0100

libindicate (0.3.5-0ubuntu1) lucid; urgency=low

  * Upstream Release 0.3.5
  * debian/control: Added GI dependencies and new packages
  * Added debian/gir1.0-indicate-0.2.install and 
    debian/gir1.0-indicate-gtk-0.2.install to make new pakcages with
    the typelibs in them.
  * Modified debian/libindicate-dev.install and
    debian/libindicate-gtk-dev.install to add the GIR files.
  * debian/rules allowing gobject-introspection

 -- Ted Gould <ted@ubuntu.com>  Thu, 04 Mar 2010 10:36:49 -0600

libindicate (0.3.4-0ubuntu1) lucid; urgency=low

  * Upstream release 0.3.4
    * Sending '/' as the null object path and looking for
      it on the listener. (lp: #524072)

 -- Ted Gould <ted@ubuntu.com>  Thu, 25 Feb 2010 11:01:07 -0600

libindicate (0.3.3-0ubuntu2) lucid; urgency=low

  * Upstream merge
    * Sending '/' as the null object path and looking for
      it on the listener. (lp: #524072)

 -- Ted Gould <ted@ubuntu.com>  Thu, 18 Feb 2010 16:22:16 -0600

libindicate (0.3.3-0ubuntu1) lucid; urgency=low

  * debian/rules:
    - updated shlibs version

  [ Ted Gould ]
  * Upstream release 0.3.3
    * Add ability to get properties as values in the server.
    * Fix error messages on failed properties.
    * Add menu support to im-client example.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Feb 2010 16:50:17 +0100

libindicate (0.3.2-0ubuntu1) lucid; urgency=low

  * Upstream release 0.3.2
    * Properly deregister signals when proxies are removed.
    * Properly remove filters when proxies are removed.
    * Handler to detect when proxies go to heaven, if they're good
      proxies.
    * Fixing a double free on the todo array

 -- Ted Gould <ted@ubuntu.com>  Thu, 11 Feb 2010 09:41:16 -0600

libindicate (0.3.1-0ubuntu2) lucid; urgency=low

  * Upstream Merge
    * Handler to detect when proxies go to heaven, if they're good proxies.
    * Fixing a double free on the todo array
    
 -- Ted Gould <ted@ubuntu.com>  Tue, 09 Feb 2010 09:07:02 -0600

libindicate (0.3.1-0ubuntu1) lucid; urgency=low

  * Upstream release 0.3.1
    * Fixing the server_display signal
    * Reincluding the enum headers
    * Fixing pkgconfig file to include dbusmenu-glib
  * debian/control: Adding libdbusmenu-glib-dev as a dep
    for the -dev package.

 -- Ted Gould <ted@ubuntu.com>  Fri, 05 Feb 2010 16:25:47 -0800

libindicate (0.3.0-0ubuntu1) lucid; urgency=low

  * debian/rules:
    - update the shlibs
  
  [ Ted Gould ]
  * Upstream 0.3.0 release
    * Fixing build of typelib file
    * Removing the system bus from a default bus
    * Unref'ing the proxies correctly
    * Fixing the test suite
    * Adding in a menu server as a property
    * Adding a timestamp to activate signal
    * Switching to ayatana.org namespace
    * Making the properties as variants instead of strings
    * Fixing pkgconfig file to include dbusmenu-glib
  * debian/control:
    * Adding libdbusmenu-glib-dev as a new dependency as well, it is now.
    * Dropping libxml dependency
    * libindicate3 -> libindicate4
    * libindicate-gtk1 -> libindicate-gtk2
    * Setting dbusmenu dependency at 0.2.2

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Feb 2010 16:08:27 -0800

libindicate (0.2.3-0ubuntu1) karmic; urgency=low

  * Upstream release 0.2.3 (LP: #440213)
    * A new define to coordinate between KDE and GNOME
      Messaging Menus

 -- Ted Gould <ted@ubuntu.com>  Thu, 01 Oct 2009 23:31:26 +0200

libindicate (0.2.2-0ubuntu1) karmic; urgency=low

  * debian/rules:
    - update shlib version
    
  [ Ted Gould ]
  * New upstream release (LP: #431947)
    - Various small bug fixes including more convience functions,
      making the examples better and fixing some runtime warnings.
    - Applied memleak patch from agateau
    - fix set_property so that it can be used with UINTs as well 
    - Allow UINT for properties

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Sep 2009 22:17:54 +0200

libindicate (0.2.0-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #427364)
    - Big change is renaming some signal names. :(
    - Bug fixes in getting properties.
    - Removing looking at the type on indicator lists.
    - Fixing the count callback.
  * debian/control:
    - Increasing library versions to libindicate3
      and libindicate-gtk1.  Moving .install files as well.
  * libindicate-dev and libindicate-gtk-dev.install change to
    /usr/include/libindicate-0.2 from 0.1

 -- Ted Gould <ted@ubuntu.com>  Wed, 09 Sep 2009 08:42:01 -0500

libindicate (0.2.0~bzr325-0ubuntu1) karmic; urgency=low

  [ Ken VanDine ]
  * New source package, split out from the indicator-applet source
  * Merging in changes to make this libindicate only.
  * debian/* lots of changes to remove applet stuff.
  * Renaming the directories to match new package name.
  * Setting the icon path in the .pc file.
  * debian/control:
    - Set both Vcs-Bzr and Vcs-Bzr-Browser

 -- Ted Gould <ted@ubuntu.com>  Thu, 03 Sep 2009 17:16:51 -0500

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com